﻿namespace UltraToolbarsManagerDragWindow
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;

    using Infragistics.Win.UltraWinToolbars;

    public partial class Form1 : Form
    {
        private Point startPos;
        private bool dragging = false;

        public Form1()
        {
            this.InitializeComponent();
            this.ControlBox = false;
            this.Text = string.Empty;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            UltraToolbarsDockArea top = (UltraToolbarsDockArea)this.Controls["_Form1_Toolbars_Dock_Area_Top"];
            top.MouseDown += top_MouseDown;
            top.MouseMove += top_MouseMove;
            top.MouseUp += top_MouseUp;
        }

        private void top_MouseUp(object sender, MouseEventArgs e)
        {
            if (this.dragging)
            {
                this.dragging = false;
            }
        }

        private void top_MouseMove(object sender, MouseEventArgs e)
        {
            UltraToolbarsDockArea top = sender as UltraToolbarsDockArea;
            if (this.dragging && top != null)
            {
                top.Capture = true;
                this.Location = new Point(
                    this.Location.X - (this.startPos.X - Cursor.Position.X),
                    this.Location.Y - (this.startPos.Y - Cursor.Position.Y));
                this.startPos = Cursor.Position;
            }
        }

        private void top_MouseDown(object sender, MouseEventArgs e)
        {
            UltraToolbarsDockArea top = sender as UltraToolbarsDockArea;
            if (top != null)
            {
                this.startPos = Cursor.Position;
                this.dragging = true;
            }
        }
    }
}
